<ngx-loading [show]="loading" [config]="{
  backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
  primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }"></ngx-loading>
<div class="card">
  <div class="card-header">
    <div class="page-header-title">
      <h4>Tambah Monitoring Obat</h4>
    </div>
  </div>
  <div class="card-block">
    <form [formGroup]="formMonObat" (ngSubmit)="onSubmit()">
      <div class="dt-responsive dt-bootstrap4 row p-20">
        <div class="col-md-6 col-xl-6 form-group">
          <label class="col-form-label">Pilih Tanggal:</label>
          <div class="input-group">
            <input class="form-control" placeholder="yyyy-mm-dd" [(ngModel)]="modelPopup0" ngbDatepicker #d0="ngbDatepicker"
              id="dariTanggal" formControlName="TanggalMonitoring" readonly="true" (ngModelChange)="onSelectTanggal($event)">
            <div class="input-group-addon bg-default" (click)="d0.toggle()">
              <span class="icofont icofont-ui-calendar"></span>
            </div>
          </div>
          <span class="messages text-danger" *ngIf="!formMonObat.get('TanggalMonitoring').valid && formMonObat.get('TanggalMonitoring').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>
        <div class="col-md-6 col-xl-6 form-group">
          <label class="col-form-label">Nama Obat</label>
          <!-- <angular2-multiselect [data]="dropdownListObat" [(ngModel)]="selectedItemsObat" [ngModelOptions]="{standalone: true}"
              [settings]="dropdownSettingsObat" (onSelect)="onItemSelect($event)" (onDeSelect)="OnItemDeSelect($event)">
            </angular2-multiselect> -->
          <angular2-multiselect formControlName="KodeObat" [data]="dropdownListObat" [(ngModel)]="selectedItemsObat"
            [settings]="dropdownSettingsObat" (onSelect)="onItemSelect($event)" (onDeSelect)="OnItemDeSelect($event)">
          </angular2-multiselect>
          <span class="messages text-danger" *ngIf="!formMonObat.get('KodeObat').valid && formMonObat.get('KodeObat').touched"
            style="font-size: 10px">* Mohon Diisi</span>
        </div>
        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label col-sm-12 row">S</label>
          <input type="number" class="form-control" id="Sisa" formControlName="Sisa">
          <span class="messages text-danger" *ngIf="!formMonObat.get('Sisa').valid && formMonObat.get('Sisa').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>
        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label col-sm-12 row">T</label>
          <input type="number" class="form-control" id="Terpakai" formControlName="Terpakai">
          <span class="messages text-danger" *ngIf="!formMonObat.get('Terpakai').valid && formMonObat.get('Terpakai').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>
        <div class="col-md-4 col-xl-4 form-group">
          <label class="col-form-label col-sm-12 row">K</label>
          <input type="number" class="form-control" id="Kurang" formControlName="Kurang">
          <span class="messages text-danger" *ngIf="!formMonObat.get('Kurang').valid && formMonObat.get('Kurang').touched"
            style="font-size: 10px">*
            Mohon Diisi</span>
        </div>

        <div class="col-md-6 col-xl-6">&nbsp;</div>
        <div class="col-md-3 col-xl-3 form-group">
          <button type="submit" class="btn btn-success btn-sm btn-block text-center">
            <i class="icofont icofont-save"></i> Simpan
          </button>
        </div>
        <div class="col-md-3 col-xl-3 form-group">
          <button type="button" [routerLink]="['/listmonitoringobat']" class="btn btn-danger btn-sm btn-block text-center">
            <i class="fa fa-arrow-left"> Kembali</i>
          </button>
        </div>
      </div>
    </form>
  </div>
</div>